UiPath Documentation
automation-cloud
latest
false
Automation Cloud API 指南

获取组织许可证摘要

GET 端点,用于检索组织级许可证摘要,包括机器人、用户许可证和消耗品的总数、分配情况和使用情况。

检索组织的许可证摘要,包括获得许可和分配的机器人,获得许可和已使用的用户许可证,以及获得许可、分配和已使用的消耗性资源。需要作用域为PM.License.Read外部应用程序。

API 端点

GET {accessURL}/{organizationName}/license_/api/account/{accountId}/license-summary

将所有端点路径中的{accessURL}替换为您的云平台的基本 URL:

Cloud Platform访问 URL
Automation Cloudhttps://cloud.uipath.com/
Automation Cloud 公共部门https://govcloud.uipath.us/
Automation Cloud 专用https://{customURL}.dedicated.uipath.com/

请求标头

--header 'Authorization: Bearer {access_token}'
--header 'Authorization: Bearer {access_token}'
备注:

要获取{access_token} ,请确保通过身份验证方法页面中所述的资源所有者密码凭据 (ROPC) 方法进行身份验证。

路径参数

路径参数数据类型描述
accountId (必填)Guid要检索其许可证摘要的组织的 ID。

响应

200 OK

返回组织的许可证摘要,分为三个数组:

  • robots — 对于每种机器人类型,许可总数 ( total ) 和分配总数 ( allocated )。有关可用代码,请参阅机器人
  • userLicenses — 对于每个用户许可证,许可的总数量 ( total ) 和已使用的总数量 ( used )。有关可用代码,请参阅用户许可证
  • consumables — 对于每个消耗性单元,包含总许可数量 ( total )、总分配量 ( allocated )、总已使用量 ( used ) 和有效期( startDateendDate )作为 Unix 时间戳(以秒为单位)。有关可用代码,请参阅消耗品

404

未为指定组织分配帐户许可证。

请求示例

请求应类似于以下示例 (cURL):

curl --location --request GET 'https://cloud.uipath.com/{organizationName}/license_/api/account/1234/license-summary' \
--header 'Authorization: Bearer {access_token}'
curl --location --request GET 'https://cloud.uipath.com/{organizationName}/license_/api/account/1234/license-summary' \
--header 'Authorization: Bearer {access_token}'

以下是成功检索许可证摘要的响应正文:

{
    "robots": [
        {
            "code": "APPTESTR",
            "total": 5,
            "allocated": 2
        },
        {
            "code": "NONPR",
            "total": 0,
            "allocated": 0
        },
        {
            "code": "TAUNATT",
            "total": 5,
            "allocated": 2
        },
        {
            "code": "UNATT",
            "total": 5,
            "allocated": 2
        },
        {
            "code": "UNATT-HOSTING",
            "total": 0,
            "allocated": 0
        }
    ],
    "userLicenses": [
        {
            "code": "PMBU",
            "total": 5,
            "used": 0
        },
        {
            "code": "PMD",
            "total": 10,
            "used": 3
        },
        {
            "code": "IDU",
            "total": 55,
            "used": 1
        },
        {
            "code": "TSTNU",
            "total": 5,
            "used": 2
        },
        {
            "code": "AXPNU",
            "total": 100,
            "used": 10
        },
        {
            "code": "ACNU",
            "total": 2,
            "used": 0
        },
        {
            "code": "RPADEVPROCU",
            "total": 15,
            "used": 0
        },
        {
            "code": "RPADEVPRONU",
            "total": 15000,
            "used": 10
        },
        {
            "code": "CBNU",
            "total": 5,
            "used": 0
        },
        {
            "code": "ATTUNU",
            "total": 5,
            "used": 1
        },
        {
            "code": "PRONU",
            "total": 200,
            "used": 12
        },
        {
            "code": "CTZDEVNU",
            "total": 5,
            "used": 0
        },
        {
            "code": "BASICNU",
            "total": 10,
            "used": 7
        },
        {
            "code": "AKIT",
            "total": 100,
            "used": 0
        },
        {
            "code": "PLUSNU",
            "total": 2,
            "used": 5
        }
    ],
    "consumables": [
        {
            "code": "AGU",
            "total": 995658,
            "allocated": 130,
            "used": 1,
            "startDate": 1707177600,
            "endDate": 2230847999
        },
        {
            "code": "APPU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "FCCU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "HEAL",
            "total": 303330,
            "allocated": 1500,
            "used": 0,
            "startDate": 1762128000,
            "endDate": 1920844799
        },
        {
            "code": "HEALTEST",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "LU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "MRSU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "PLTU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "RU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "SPR",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "TEU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        }
    ]
}
{
    "robots": [
        {
            "code": "APPTESTR",
            "total": 5,
            "allocated": 2
        },
        {
            "code": "NONPR",
            "total": 0,
            "allocated": 0
        },
        {
            "code": "TAUNATT",
            "total": 5,
            "allocated": 2
        },
        {
            "code": "UNATT",
            "total": 5,
            "allocated": 2
        },
        {
            "code": "UNATT-HOSTING",
            "total": 0,
            "allocated": 0
        }
    ],
    "userLicenses": [
        {
            "code": "PMBU",
            "total": 5,
            "used": 0
        },
        {
            "code": "PMD",
            "total": 10,
            "used": 3
        },
        {
            "code": "IDU",
            "total": 55,
            "used": 1
        },
        {
            "code": "TSTNU",
            "total": 5,
            "used": 2
        },
        {
            "code": "AXPNU",
            "total": 100,
            "used": 10
        },
        {
            "code": "ACNU",
            "total": 2,
            "used": 0
        },
        {
            "code": "RPADEVPROCU",
            "total": 15,
            "used": 0
        },
        {
            "code": "RPADEVPRONU",
            "total": 15000,
            "used": 10
        },
        {
            "code": "CBNU",
            "total": 5,
            "used": 0
        },
        {
            "code": "ATTUNU",
            "total": 5,
            "used": 1
        },
        {
            "code": "PRONU",
            "total": 200,
            "used": 12
        },
        {
            "code": "CTZDEVNU",
            "total": 5,
            "used": 0
        },
        {
            "code": "BASICNU",
            "total": 10,
            "used": 7
        },
        {
            "code": "AKIT",
            "total": 100,
            "used": 0
        },
        {
            "code": "PLUSNU",
            "total": 2,
            "used": 5
        }
    ],
    "consumables": [
        {
            "code": "AGU",
            "total": 995658,
            "allocated": 130,
            "used": 1,
            "startDate": 1707177600,
            "endDate": 2230847999
        },
        {
            "code": "APPU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "FCCU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "HEAL",
            "total": 303330,
            "allocated": 1500,
            "used": 0,
            "startDate": 1762128000,
            "endDate": 1920844799
        },
        {
            "code": "HEALTEST",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "LU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "MRSU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "PLTU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "RU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "SPR",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "TEU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        }
    ]
}
  • API 端点
  • 请求标头
  • 路径参数
  • 响应
  • 200 OK
  • 404
  • 请求示例

此页面有帮助吗?

连接

需要帮助? 支持

想要了解详细内容? UiPath Academy

有问题? UiPath 论坛

保持更新